Bug 178614 - RFE - desktop - move workspace switcher and rubbish bin to top panel
RFE - desktop - move workspace switcher and rubbish bin to top panel
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: design (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Nickell
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 09:06 EST by David Timms
Modified: 2009-12-14 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 23:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
example of "real world" usage part 1 (365.38 KB, image/png)
2008-04-25 00:27 EDT, David Timms
no flags Details
workspace2 (524.56 KB, image/png)
2008-04-25 00:28 EDT, David Timms
no flags Details
workspace3 (485.19 KB, image/png)
2008-04-25 00:29 EDT, David Timms
no flags Details
workspace4 (543.77 KB, image/png)
2008-04-25 00:31 EDT, David Timms
no flags Details
black shows the workspace bits that change between workspaces. (25.03 KB, image/png)
2008-04-25 01:02 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2006-01-22 09:06:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
There is a waste of screen space with the top panel between the popular apps icons and the power/clock displays. probably 400x20 pixels.

Since many apps can be open at once, filling the bottom panel, it would make sense to move the workspace switcher and rubbish bin to the top, next to the notification? area /clock.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. default desktop install.
2. login and view desktop  

Actual Results:  note that 1/5 of screen width at bottom panel taken up with desktop switcher/bin.


Expected Results:  the available space in the top panel to the left of the clock is used instead for the bin/workspace switcher.

holding the mouse over the running applications bar should provide a textual hint to the user: "desktop applications that a running". Or this area would not be become obvious as to it's purpose. It could even state "no desktop applications currently running" when you first login/have closed everything on that workspace.

Additional info:

Why:
1. clicking a workspace square takes you to a totally different desktop, ie different applications will be running in the bottom panel. Hence, the workspace switcher is really a pre-doing work selection. When you change the workspace, all of the screen except the top panel would then change. But the workspace switcher is not different for each workspace. 
It would be far more logical (imho) to place it in the wasted space next to the clock.

2. The rubbish bin is really a per desktop rather than a per workspace item; it is not different between different workspaces.
It would be more logical to include it once on the top panel.

This still leaves room for more launcher icons that the user might want regular access to, but improves the logic of the design.

I am not sure about the show desktop=minimize all apps button, but probably makes sense for it to be up the top to (it's a function that applies to  the currently selected workspace.
--
While I never liked the default layout (and so move the panel to be just one thicker panel at the top), I think that some improvements could be made, as listed above, users might then put up with a default desktop layout rather than waste time customising it.
Comment 1 Matthew Miller 2007-04-06 12:23:29 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 David Timms 2007-08-12 04:20:38 EDT
I would still say that not wasting / making the most of screen space should be a
design goal. This is more true now that more displays are being used that are of
16:9 or wider aspect, and with large pixel counts across the screen.

Why buy a bigger/wider screen, if those parts of it are just going to sit idle ?
Whether you are editing text or spreadsheet, or viewing a pdf {most of the ones
I see are formatted portrait mode}, in terms of space usage, the aim of the
desktop should be to show as much of the document as possible. Vertical height
is more effective than horizontal width. {eg the menus in Evince 0.8.2 in the
default fedora desktop layout - leaves space for the actual document of 1004x626
when on a 1024x768 display} 140 px lost in useful height. This is especially
true for documents {pdfs} that use two colums within each page.

A have flipped a little on the "show desktop" and "trash" icons: It makes them
easier to use to be able to randomly push the mouse in the diagonal corner,
click {even without looking}, and have that function activated. Same is true for
the positioning of the apps menus and the volume icon {although sometimes this
ends up to the left of the clock display - especially after logoff/logon.}
Perhaps a future enhancement would be for them to sit on small stub panels , so
that more of the screen height can be used.
Comment 3 Brian Powell 2008-04-24 23:43:51 EDT
Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 4 David Timms 2008-04-25 00:27:46 EDT
Created attachment 303731 [details]
example of "real world" usage part 1

Again, applies to F8 and F9, because no changes were made. However, closing
INSUFFICIENT_WILL_TO_MAKE_AN_IMPROVEMENT is reasonable ;-)

I am still keen to see the workspace switcher be positioned by default between
the Applications  Places  System and the default app start icons. It makes far
more use of the screen real estate, and makes more sense from the logic of user
interaction with workspaces.

In fact waste of screen space is worse if you use a wide screen monitor; that
20px*1920px along the bottom of the screen is a bit of a waste. I'd much rather
my A4 pdf document I'm reading to by in a slight easier to read font {=larger}
and still be able to see the whole page {portrait}.

Alas, since we are packaging upstream this change to default would probably
need to occur in the upstream project ?
Comment 5 David Timms 2008-04-25 00:28:32 EDT
Created attachment 303732 [details]
workspace2
Comment 6 David Timms 2008-04-25 00:29:47 EDT
Created attachment 303733 [details]
workspace3
Comment 7 David Timms 2008-04-25 00:31:00 EDT
Created attachment 303734 [details]
workspace4
Comment 8 David Timms 2008-04-25 01:02:58 EDT
Created attachment 303737 [details]
black shows the workspace bits that change between workspaces.

notice the parts that stay the same when a user switches workspaces in the
scenario where the switcher is in the upper left of the display.

When you want something to start on a different workspace, it would make sense
to click that workspace, then the shortcut icon next to it that represents the
app you want to start. This is imho an improvment on mousing to almost the
bottom right corner, then to the top left to select an app to start.

Note You need to log in before you can comment on or make changes to this bug.